%define     oname  playwolf
Summary:	A simple plasmoid that controls amaroK 2 using D-Bus
Name:		plasma-applet-playwolf
Version: 	0.7.2
Release: 	%mkrel 1
Source0:    http://playwolf.googlecode.com/files/%oname-%version.tar.bz2
License: 	GPLv2+
Group: 		Graphical desktop/KDE
Url: 		http://kde-look.org/content/show.php/PlayWolf?content=93882
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	amarok >= 3:1.80
Obsoletes:  plasma-applet-am4rok
Provides:   plasma-applet-am4rok
BuildRequires: 	plasma-devel >= 4.1.85

%description 
This is a simple plasmoid that controls amaroK 2 using D-Bus.

%files
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_playwolf.so
%_kde_datadir/kde4/services/plasma-applet-playwolf.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %oname

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%clean
rm -rf %{buildroot}


%changelog
* Fri May 08 2009 Funda Wang <fundawang@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 373357
- New version 0.7.2

* Fri Feb 13 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.7-1mdv2009.1
+ Revision: 340129
- Update to 0.7

* Tue Feb 03 2009 Funda Wang <fundawang@mandriva.org> 0.6-1mdv2009.1
+ Revision: 337117
- New version 0.6

* Mon Jan 26 2009 Colin Guthrie <cguthrie@mandriva.org> 0.5-1mdv2009.1
+ Revision: 333902
- New version 0.5

* Mon Jan 19 2009 Funda Wang <fundawang@mandriva.org> 0.3.2-4mdv2009.1
+ Revision: 331071
- revise patch

* Sat Jan 10 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-3mdv2009.1
+ Revision: 328131
- Rebuild against kde 4.2

* Sat Jan 10 2009 Colin Guthrie <cguthrie@mandriva.org> 0.3.2-2mdv2009.1
+ Revision: 327827
- Fix for KDE 4.2 RC

* Wed Dec 31 2008 Colin Guthrie <cguthrie@mandriva.org> 0.3.2-1mdv2009.1
+ Revision: 321679
- New version 0.3.2
- Add KDE 4.2 patch

* Sun Dec 21 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 316945
- import plasma-applet-playwolf


